"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = __importStar(require("./index"));
const automizer = new index_1.default({
    templateDir: `${__dirname}/../__tests__/pptx-templates`,
    outputDir: `${__dirname}/../__tests__/pptx-output`,
});
const pres = automizer
    .loadRoot(`EmptyTemplate.pptx`)
    .load(`Flags.pptx`, 'Flags')
    .load(`ComboSlidePlaceholders.pptx`, 'Placeholders')
    .load(`ComboSlide.pptx`, 'ComboSlide');
const data = {
    series: [
        { label: 'series s1' },
        { label: 'series s2' },
        { label: 'series s3' }
    ],
    categories: [
        { label: 'item test r1', y: 0.5, values: [10, 16, 12] },
        { label: 'item test r2', y: 1.5, values: [12, 18, 15] },
        { label: 'item test r3', y: 2.5, values: [14, 12, 11] },
        { label: 'item test r4', y: 3.5, values: [8, 11, 9] },
        { label: 'item test r5', y: 4.5, values: [6, 15, 7] },
        { label: 'item test r6', y: 5.5, values: [16, 16.2, 9] },
        { label: 'item test r7', y: 6.5, values: [10, 13, 12] },
        { label: 'item test r8', y: 7.5, values: [11, 12, 14] },
        { label: 'item test r9', y: 8.5, values: [9, 7, 11] },
        { label: 'item test r10', y: 9.5, values: [7, 5, 17] }
    ],
};
const countryName = 'Austria';
const verticalLinesSlide = (slide, targetCountry) => {
    const labels = {
        body: data.categories.map(category => { return { values: [category.label] }; })
    };
    slide.modifyElement('Labels', [index_1.modify.setTableData(labels)]);
    slide.modifyElement('Graph', [index_1.modify.setChartVerticalLines(data)]);
    slide.addElement('Flags', 1, targetCountry, [
        index_1.modify.setPosition({ x: 11500000, y: 60000 })
    ]);
    slide.addElement('Placeholders', 1, 'Header', [
        index_1.modify.setText('Slide Test ' + targetCountry)
    ]);
    slide.addElement('Placeholders', 1, 'Footer', [
        index_1.modify.setText('Footer Slide Test ' + countryName + ' count: ' + data.categories.length)
    ]);
};
pres
    .addSlide('ComboSlide', 1, (slide) => verticalLinesSlide(slide, 'Austria'))
    .addSlide('ComboSlide', 1, (slide) => verticalLinesSlide(slide, 'Germany'))
    .write(`create-combo-slide.test.pptx`)
    .then((result) => {
    console.info(result);
})
    .catch((error) => {
    console.error(error);
});
//# sourceMappingURL=dev.js.map