import { Workbook } from '../types/types';
import { ChartData } from '../types/chart-types';
export default class ModifyChartHelper {
    /**
     * Set chart data to modify default chart types.
     * See `__tests__/modify-existing-chart.test.js`
     */
    static setChartData: (data: ChartData) => (element: XMLDocument | Element, chart?: Document, workbook?: Workbook) => void;
    /**
     * Set chart data to modify vertical line charts.
     * See `__tests__/modify-chart-vertical-lines.test.js`
     */
    static setChartVerticalLines: (data: ChartData) => (element: XMLDocument | Element, chart?: Document, workbook?: Workbook) => void;
    /**
     * Set chart data to modify bubble charts.
     * See `__tests__/modify-chart-bubbles.test.js`
     */
    static setChartBubbles: (data: ChartData) => (element: XMLDocument | Element, chart?: Document, workbook?: Workbook) => void;
}
