"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ModifyShapeHelper {
}
exports.default = ModifyShapeHelper;
/**
 * Set solid fill of modified shape
 */
ModifyShapeHelper.setSolidFill = (element) => {
    element
        .getElementsByTagName('a:solidFill')[0]
        .getElementsByTagName('a:schemeClr')[0]
        .setAttribute('val', 'accent6');
};
/**
 * Set text content of modified shape
 */
ModifyShapeHelper.setText = (text) => (element) => {
    element.getElementsByTagName('a:t')[0].firstChild.textContent = text;
};
/**
 * Set position and size of modified shape.
 */
ModifyShapeHelper.setPosition = (pos) => (element) => {
    const map = {
        x: { tag: 'a:off', attribute: 'x' },
        y: { tag: 'a:off', attribute: 'y' },
        w: { tag: 'a:ext', attribute: 'cx' },
        h: { tag: 'a:ext', attribute: 'cy' },
    };
    // const parent = 'a:xfrm';  // for pictures
    // const parent = 'p:xfrm';  // for shapes
    Object.keys(pos).forEach((key) => {
        element
            //.getElementsByTagName(parent)[0]
            .getElementsByTagName(map[key].tag)[0]
            .setAttribute(map[key].attribute, pos[key]);
    });
};
//# sourceMappingURL=modify-shape-helper.js.map