import { ChartData, ChartColumn, ChartSlot, ChartCategory, ChartPoint, ChartBubble, ChartValue, ChartDataMapper } from '../types/chart-types';
import { ModificationTags, Modification } from '../types/modify-types';
import { Workbook } from '../types/types';
import ModifyXmlHelper from '../helper/modify-xml-helper';
export declare class ModifyChart {
    data: ChartData;
    height: number;
    width: number;
    columns: ChartColumn[];
    sharedStrings: Document;
    workbook: ModifyXmlHelper;
    workbookTable: ModifyXmlHelper;
    chart: ModifyXmlHelper;
    constructor(chart: XMLDocument, workbook: Workbook, data: ChartData, slot: ChartSlot[]);
    modify(): void;
    setColumns(slot: ChartSlot[]): ChartColumn[];
    setValues(): void;
    setSeries(): void;
    sliceChartSpace(): void;
    setWorkbook(): void;
    sliceWorkbook(): void;
    series: (index: number, children: ModificationTags) => ModificationTags;
    seriesId: (series: number) => ModificationTags;
    seriesLabel: (label: string, series: number) => ModificationTags;
    defaultSeries(r: number, targetCol: number, point: number, category: ChartCategory): ModificationTags;
    xySeries(r: number, targetCol: number, point: number, category: ChartCategory): ModificationTags;
    customSeries(r: number, targetCol: number, point: number | ChartPoint | ChartBubble | ChartValue, category: ChartCategory, tag: string, mapData: ChartDataMapper): ModificationTags;
    point: (r: number, c: number, value: number | string) => Modification;
    colLabel(c: number, label: string): ModificationTags;
    rowAttributes(r: number, rowId: number): ModificationTags;
    rowLabels(r: number, label: string): ModificationTags;
    rowValues(r: number, c: number, value: number): ModificationTags;
    slice(tag: string, length: number): Modification;
    spanString(): ModificationTags;
    cellValue(value: number): ModificationTags;
    sharedString(label: string): ModificationTags;
    setWorkbookTable(): void;
    setWorkbookTableColumn(c: number, label: string): void;
    sliceWorkbookTable(): void;
}
