import { ModificationTags } from './modify-types';
export declare type ChartValue = {
    value: number;
};
export declare type ChartPoint = {
    x: number;
    y: number;
};
export declare type ChartBubble = {
    x: number;
    y: number;
    size: number;
};
export declare type ChartSeries = {
    label: string;
};
export declare type ChartCategory = {
    label: string;
    y?: number;
    values: number[] | ChartValue[] | ChartPoint[] | ChartBubble[];
};
export declare type ChartColumn = {
    series?: number;
    label: string;
    worksheet: (point: number | ChartPoint | ChartBubble | ChartValue, r: number, category: ChartCategory) => void;
    chart?: (point: number | ChartPoint | ChartBubble | ChartValue, r: number, category: ChartCategory) => ModificationTags;
    isStrRef?: boolean;
    modTags?: ModificationTags;
};
export declare type ChartData = {
    series: ChartSeries[];
    categories: ChartCategory[];
};
export declare type ChartDataMapper = {
    (point: number | ChartPoint | ChartBubble | ChartValue, category?: ChartCategory): number;
};
export declare type ChartSlot = {
    label?: string;
    mapData?: ChartDataMapper;
    series?: ChartSeries;
    index?: number;
    targetCol: number;
    type?: string;
    tag?: string;
    isStrRef?: boolean;
};
